Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class AjaxOnlyScript

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.ajax4jsf.javascript.JSFunctionDefinition
              org.richfaces.renderkit.html.ValidatorScriptBase
                  org.richfaces.renderkit.html.AjaxOnlyScript

All Implemented Interfaces:
  org.ajax4jsf.javascript.FunctionDefWithDependencies, org.ajax4jsf.javascript.ScriptString, org.ajax4jsf.javascript.ScriptWithDependencies, ComponentValidatorScript, org.richfaces.resource.ResourceLibrary

    public class AjaxOnlyScript

extends ValidatorScriptBase

Field Summary
`static Iterable<org.richfaces.resource.ResourceKey>` | `AJAX_LIBRARIES`
`static org.richfaces.resource.ResourceKey` | `AJAX_RESOURCE`

Fields inherited from class org.richfaces.renderkit.html.ValidatorScriptBase
`AJAX, AJAX_REF, CLIENT_ID, CLIENT_ID_REF, CONVERTER, CONVERTER_REF, CSV_NAMESPACE, DISABLE_AJAX, DISABLE_AJAX_REF, ELEMENT, ELEMENT_REF, EOL, EVENT, EVENT_REF, GET_VALUE_FUNCTION, MESSAGE, MESSAGE_REF, NULL_CONVERTER_SCRIPT, PARAMS, PARAMS_REF, SOURCE_ID, SOURCE_ID_REF, VALIDATE_FUNCTION, VALIDATE_FUNCTION_NAME, VALIDATORS, VALIDATORS_REF, VALUE_FUNCTION_NAME`

Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase
`COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

Constructor Summary
`AjaxOnlyScript(String ajaxScript)`

Method Summary
`protected void` | `appendBody(Appendable target)`
`boolean` | `equals(Object obj)`
`Iterable<org.richfaces.resource.ResourceKey>` | `getResources()`
`int` | `hashCode()`

Methods inherited from class org.richfaces.renderkit.html.ValidatorScriptBase
`appendAjaxFunction, appendAjaxParameter, appendParameters, appendValidatorCall, createCallScript`

Methods inherited from class org.ajax4jsf.javascript.JSFunctionDefinition
`addParameter, addToBody, appendFunctionName, appendScript, getName, setName`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`appendScriptToStringBuilder, toScript, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.javascript.FunctionDefWithDependencies
`getName`

Methods inherited from interface org.ajax4jsf.javascript.ScriptString
`appendScript, appendScriptToStringBuilder, toScript`

Field Detail

### AJAX_RESOURCE

    public static final org.richfaces.resource.ResourceKey AJAX_RESOURCE

### AJAX_LIBRARIES

    public static final Iterable<org.richfaces.resource.ResourceKey> AJAX_LIBRARIES

Constructor Detail

### AjaxOnlyScript

    public AjaxOnlyScript(String ajaxScript)

Method Detail

### getResources

    public Iterable<org.richfaces.resource.ResourceKey> getResources()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### appendBody

    protected void appendBody(Appendable target)
                       throws IOException

  Overrides:
    `appendBody` in class `ValidatorScriptBase`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.